#include <iostream>
using namespace std;
int main()
{
    int n, c = 0;
    scanf("%d", &n);
    int A[n];
    for(int i = 0 ; i < n ; i++)
    {
        cin>>A[i];
    }
    for(int i = 0 ; i < n ; i++)
    {
        int j = i;
        while(A[j] % 2 != 0 && j < n )
        {
            j++;
        }
        c += n - j;
    }
    cout<<c;
}
